(* Sets of elements with equality. *)

signature Eqset = sig

type 'a set 
val emptyset : 'a set
val set      : 'a -> 'a set
val ++       : ''a set * ''a set -> ''a set
val --       : ''a set * ''a set -> ''a set
val setof    : ''a list -> ''a set
val union    : ''a set list -> ''a set
val iterset  : ('a * 'b -> 'b) -> 'a set * 'b -> 'b
val mem      : ''a * ''a set -> bool
val size     : 'a set -> int

end
